<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="getInfo()" class="btn btn-primary" [disabled]="loading || ngForm.invalid">
    <i class="fa fa-search mr-2"></i>Buscar
  </button>
  <button class="btn btn-success ml-1" (click)="exportExcel()" [disabled]="!dataGrid.length">
    <i class="fa fa-file-excel mr-2"></i>Excel
  </button>
  <button class="btn btn-danger ml-1" (click)="exportPdf()" [disabled]="!dataGrid.length">
    <i class="fa fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="col-sm-3 col-md-3 col-lg-3 col-xl-3 form-group">
          <label>Agencia</label>
          <div class="input-group">
            <input type="text" class="form-control" formControlName="cChr1">
            <div class="input-group-append">
              <button class="btn btn-primary" (click)="openModal(modal, 'agencia')">
                <i class="fas fa-search"></i>
              </button>
            </div>
          </div>
        </div>
        <div class="form-group col-12 col-sm-4 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Desde</label>
          <kendo-datepicker formControlName="fFec1" class="w-100" [format]="formatKendo">
          </kendo-datepicker>
        </div>
        <div class="form-group col-12 col-sm-4 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Hasta</label>
          <kendo-datepicker formControlName="fFec2" class="w-100" [format]="formatKendo" [min]="ngForm.value.fFec1">
          </kendo-datepicker>
        </div>
      </div>

    </form>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGrid" *ngIf="!loading" [selectable]="true" [filter]="filter" [filterable]="true"
      [navigable]="true" [reorderable]="true" [resizable]="true" [sortable]="true" [pageSize]="pageSize" [skip]="skip"
      [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 60vh;">
      <ng-container *ngIf="dataGrid.length !== 0">
        <kendo-grid-column field="Agencia" title="Agencia" width="120"></kendo-grid-column>
        <kendo-grid-column field="NoFolio" title="No. Folio" width="100"></kendo-grid-column>
        <kendo-grid-column field="Cuarto" title="Cuarto" width="90"></kendo-grid-column>
        <kendo-grid-column field="FecEntrada" title="Entrada" width="130"></kendo-grid-column>
        <kendo-grid-column field="FecSalida" title="Salida" width="130"></kendo-grid-column>
        <kendo-grid-column field="Saldos[0]" title="Saldo A" width="110" class="text-right"></kendo-grid-column>
        <kendo-grid-column field="Saldos[1]" title="Saldo B" width="110" class="text-right"></kendo-grid-column>
        <kendo-grid-column field="Saldos[2]" title="Saldo C" width="110" class="text-right"></kendo-grid-column>
        <kendo-grid-column field="ComisionGeneral" title="Com. Gen." width="120" class="text-right"></kendo-grid-column>
        <kendo-grid-column field="Deducciones" title="Com. Ded." width="120" class="text-right"></kendo-grid-column>
        <kendo-grid-column field="ComisionPagada" title="Com. Pagar" width="120" class="text-right"></kendo-grid-column>
      </ng-container>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGlobal" *ngIf="!loading" [selectable]="true" [filter]="filter"
      [filterable]="true" [navigable]="true" [reorderable]="true" [resizable]="true" [sortable]="true"
      [pageSize]="pageSize" [skip]="skip" [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 60vh;">
      <ng-container *ngIf="dataGlobal.length !== 0">
        <kendo-grid-column field="Agencia" title="Agencia" width="120"></kendo-grid-column>
        <kendo-grid-column field="Saldos[0]" title="Saldo A" width="110" class="text-right"></kendo-grid-column>
        <kendo-grid-column field="Saldos[1]" title="Saldo B" width="110" class="text-right"></kendo-grid-column>
        <kendo-grid-column field="Saldos[2]" title="Saldo C" width="110" class="text-right"></kendo-grid-column>
        <kendo-grid-column field="ComisionGeneral" title="Comisión Gen." width="120" class="text-right">
        </kendo-grid-column>
        <kendo-grid-column field="Deducciones" title="Comisión Ded." width="120" class="text-right"></kendo-grid-column>
        <kendo-grid-column field="ComisionPagada" title="Comisión Pagar" width="120" class="text-right">
        </kendo-grid-column>
      </ng-container>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>

<ng-template #modal let-modal let-c="close">
  <div class="modal-header">
    <h6 class="modal-title" id="modal-graf">{{ modalTitle }}</h6>
    <button class="close" aria-label="Close" (click)="modal.dismiss('Cross click')">
      <span aria-hidden="true">&times;</span>
    </button>
  </div>
  <div class="modal-body">
    <app-help-agencia (agencia)="getDataModal($event, 'agencia'); c();" *ngIf="modalType === 'agencia'">
    </app-help-agencia>
  </div>
  <div class="modal-footer">
    <button class="btn btn-secondary" (click)="c('Close click')">Cerrar</button>
  </div>
</ng-template>